.sidebar {
  flex: 0 0 auto;
  max-width: 14em;
  min-width: 12em;
  overflow-y: auto;
  padding: 0;
  background-color: color(kathde-purple);
  color: color(mud-white);
  display: flex;
  flex-direction: column;
}

.sidebar__inner {
  max-height: 100vh;
  display: flex;
  flex-direction: column;
  max-height: 100vh;
  flex-grow: 1;
}

.sidebar__title {
  font-size: 1rem;

  > a {
    color: inherit;
    display: block;
    padding: .5rem;
    margin: .5rem 0;

    line-height: 1;

    &:hover {
      //background-color: color(kathde-purple-light);
      //color: color(mud-lighter);
    }
  }
}

.sidebar__main {
  flex-grow: 1;
}


.sidebar__section-title {
  text-transform: uppercase;
  margin: .5rem .5rem 0 .5rem;
  font-weight: 400;
  font-size: .9rem;
  color: color(mud-light);
}


.sidebar__list {
  margin-bottom: 1.5rem;

  &:not(.sidebar__list--secondary) {
    font-weight: 600;

    .sidebar__link {
      border-left: .3em solid transparent;
      padding: .1em .6em .2em .7em;

      &--active {
        border-color: inherit;
      }
    }
  }

  &.sidebar__list--secondary {
    font-size: .9em;
  }
}

.sidebar__link {
  color: inherit;
  display: block;
  transition: color 0.05s linear;
  padding: .1em .4em .2em .3em;

  &:hover, &:focus {
    color: color(mud-lighter);
    color: #aaa;
  }

  &--active {
    //color: color(mud-dark);
    font-weight: $bold-font-weight;
    background-color: color(kathde-purple-light);
    border-color: inherit;

    &:hover, &:focus {
      //color: inherit;
      color: #444;
    }
  }
}

.sidebar__footer {
  font-size: .9em;
  padding: .3rem;
}
.current_user__username {

}
.sidebar__link--logout {
  text-align: right;
  text-transform: uppercase;
}

.site-title {
  > .site-title__main {
    font-family: $font-corporate;
    font-size: 2em;
    font-weight: normal;
    display: block;
  }
  > .site-title__sub {
    color: color(mud-lighter);
    color: #aaa;
    letter-spacing: .18em;
    font-weight: 600;
    text-transform: uppercase;
  }
}
